com.aliyun.svideosdk.player

## Interface AliyunISVideoPlayer

-     public interface AliyunISVideoPlayer

  接口调用顺序为 init -> setPlayerCallback -> setDisplay -> setSource -> 在onDataSize回调中根据view的布局setDisplaySize ->play 流控制接口的调用流程为 play对应stop stop之后需要调用play pause对应resume seek之后视频会暂停，需要调用resume之后才会继续播放

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `draw(long timeStamp)` 强制绘制制定时间戳一帧
    `long` | `getCurrentPosition()`
    `int` | `init(Context context)` 初始化参数
    `int` | `pause()` 暂停播放
    `int` | `play()` 开始播放
    `void` | `release()` 释放资源
    `int` | `resume()` 继续播放
    `int` | `seek(long timeStamp)` 快进
    `int` | `setDisplay(Surface surface)` 设置显示源
    `int` | `setDisplaySize(int width, int height)` 设置显示尺寸，建议和surface窗口的宽高一致
    `void` | `setPlayerCallback(PlayerCallback callback)` 设置播放器回调
    `int` | `setSource(java.lang.String path)` 设置资源路径
    `int` | `stop()` 停止播放

- - ### Method Detail

    - #### setSource

          int setSource(java.lang.String path)

      设置资源路径
      Parameters:
        `path` - 视频地址
      Returns:

    - #### setDisplay

          int setDisplay(Surface surface)

      设置显示源
      Parameters:
        `surface` - 用于显示的surface窗口
      Returns:

    - #### setDisplaySize

          int setDisplaySize(int width,
                             int height)

      设置显示尺寸，建议和surface窗口的宽高一致
      Parameters:
        `width` - 显示宽
        `height` - 显示高
      Returns:

    - #### init

          int init(Context context)

      初始化参数
      Parameters:
        `context` - android 上下文
      Returns:

    - #### play

          int play()

      开始播放
      Returns:

    - #### stop

          int stop()

      停止播放
      Returns:

    - #### pause

          int pause()

      暂停播放
      Returns:

    - #### resume

          int resume()

      继续播放
      Returns:

    - #### release

          void release()

      释放资源

    - #### getCurrentPosition

          long getCurrentPosition()

      Returns:
        当前播放位置 单位 微秒

    - #### seek

          int seek(long timeStamp)

      快进
      Parameters:
        `timeStamp` - 时间戳 单位 微秒
      Returns:

    - #### draw

          int draw(long timeStamp)

      强制绘制制定时间戳一帧
      Parameters:
        `timeStamp` - 时间戳 单位 微秒
      Returns:

    - #### setPlayerCallback

          void setPlayerCallback(PlayerCallback callback)

      设置播放器回调
      Parameters:
        `callback` - 回调实例